import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataLocalSensitiveFileConfig extends cdktf.TerraformMetaArguments {
    /**
    * Path to the file that will be read. The data source will return an error if the file does not exist.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/local/d/sensitive_file#filename DataLocalSensitiveFile#filename}
    */
    readonly filename: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/local/d/sensitive_file local_sensitive_file}
*/
export declare class DataLocalSensitiveFile extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "local_sensitive_file";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/local/d/sensitive_file local_sensitive_file} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataLocalSensitiveFileConfig
    */
    constructor(scope: Construct, id: string, config: DataLocalSensitiveFileConfig);
    get content(): string;
    get contentBase64(): string;
    private _filename?;
    get filename(): string;
    set filename(value: string);
    get filenameInput(): string | undefined;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
